## neo 0.3.3

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/neo.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/neo.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## neo 0.2.0

=== debian/changelog ===
neo (0.2.0-1) unstable; urgency=low

  * Initial release (Closes: #659691)

 -- Michael Hanke <mih@debian.org>  Fri, 13 Apr 2012 08:35:16 +0200

=== debian/control ===
Source: neo
Maintainer: NeuroDebian Team <team@neuro.debian.net>
Uploaders: Michael Hanke <mih@debian.org>,
 Yaroslav Halchenko <debian@onerussian.com>
Section: science
Priority: extra
Build-Depends: python-all (>= 2.6.6-3), debhelper (>= 7.0.50~), python-setuptools,
 python-sphinx, python-numpy, python-quantities
Standards-Version: 3.9.3
Vcs-Git: git://git.debian.org/git/pkg-exppsy/neo.git
Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/neo.git
Homepage: http://neuralensemble.org/trac/neo

Package: python-neo
Architecture: all
Section: python
Depends: ${misc:Depends}, ${python:Depends}, python-numpy (>= 1:1.3~),
 python-quantities (>= 0.9.0~)
Recommends: python-scipy (>= 0.8~), python-tables (>= 2.2~), libjs-jquery,
 libjs-underscore
Description: Python IO library for electrophysiological data formats
 NEO stands for Neural Ensemble Objects and is a project to provide common
 classes and concepts for dealing with electro-physiological (in vivo
 and/or simulated) data to facilitate collaborative software/algorithm
 development. In particular Neo provides: a set a classes for data
 representation with precise definitions, an IO module with a simple API,
 documentation, and a set of examples.
 .
 NEO offers support for reading data from numerous proprietary file formats
 (e.g. Spike2, Plexon, AlphaOmega, BlackRock, Axon), read/write support for
 various open formats (e.g. KlustaKwik, Elan, WinEdr, WinWcp, PyNN), as well
 as support common file formats, such as HDF5 with Neo-structured content
 (NeoHDF5, NeoMatlab).
 .
 Neo's IO facilities can be seen as a pure-Python and open-source Neuroshare
 replacement.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2 --buildsystem=python_distutils

override_dh_auto_build:
	dh_auto_build
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	PYTHONPATH=.. $(MAKE) -C doc html
	-rm doc/build/html/_static/jquery.js doc/build/html/_static/underscore.js
endif

override_dh_clean:
	dh_clean
	rm -rf neo.egg-info
	rm -rf doc/build

## neo 0.3.0

=== debian/changelog ===
neo (0.3.0-1ubuntu1) saucy; urgency=low

  * debian/patches/0001-fix-tests-32bit.patch: Grab patch from upstream
    to fix tests on 32 bit architectures. (LP: #1220866)

 -- Andreas Moog <amoog@ubuntu.com>  Wed, 04 Sep 2013 19:13:29 +0000

neo (0.3.0-1) unstable; urgency=low

  * Fresh upstream release
    - dropping up_* patches
    - dropping deb_skip_failing_test_blackrockio patch

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 13 Jun 2013 10:51:17 -0400

neo (0.2.1.1-2) unstable; urgency=low

  * Upload to unstable

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 07 Jun 2013 08:45:42 -0400

neo (0.2.1.1-1) experimental; urgency=low

  * New upstream release:
    - dropping cherry-picked patch
  * debian/patches:
    - to allow running only the tests  not requiring
      files downloaded over the internet
  * debian/rules,control:
    - enabled unittesting (python-unittest2 and python-nose added to
      Build-Depends)
    - boosted policy to 3.9.4 (no changes)

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 03 Dec 2012 13:39:30 -0500

neo (0.2.0-2) unstable; urgency=low

  * debian/control:
    - added X-Python-Version: >= 2.6 to restrict supported versions of Python
      so it could be seamlessly backported to squeeze
  * debian/patches:
    - 0001-Fixed-Block.list_units-and-Block.list_recordingchann.patch
      to resolve incorrect namespaces etc (patch from upstream contributed by
      Robert Pröpper <robert.proepper@gmail.com>)

 -- Yaroslav Halchenko <debian@onerussian.com>  Sat, 15 Sep 2012 09:35:12 -0400

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,14 @@
 Source: neo
-Maintainer: NeuroDebian Team <team@neuro.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
 Uploaders: Michael Hanke <mih@debian.org>,
  Yaroslav Halchenko <debian@onerussian.com>
 Section: science
 Priority: extra
 Build-Depends: python-all (>= 2.6.6-3), debhelper (>= 7.0.50~), python-setuptools,
- python-sphinx, python-numpy, python-quantities
-Standards-Version: 3.9.3
+ python-sphinx, python-numpy (>= 1:1.3~), python-quantities, python-nose, python-unittest2
+Standards-Version: 3.9.4
+X-Python-Version: >=2.6
 Vcs-Git: git://git.debian.org/git/pkg-exppsy/neo.git
 Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/neo.git
 Homepage: http://neuralensemble.org/trac/neo
@@ -18,6 +20,7 @@
  python-quantities (>= 0.9.0~)
 Recommends: python-scipy (>= 0.8~), python-tables (>= 2.2~), libjs-jquery,
  libjs-underscore
+Suggests: python-nose
 Description: Python IO library for electrophysiological data formats
  NEO stands for Neural Ensemble Objects and is a project to provide common
  classes and concepts for dealing with electro-physiological (in vivo

## neo 0.3.3

=== debian/changelog ===
neo (0.3.3-2) unstable; urgency=medium

  * Apply upstream patch to fix IO test failure (Closes: #798058).
  * Normalize debian/control via CME.
  * Update watch file to use Debian redirector service.
  * DEP5-compliant copyright file.

 -- Michael Hanke <mih@debian.org>  Wed, 30 Dec 2015 20:04:21 +0100

neo (0.3.3-1) unstable; urgency=low

  * New upstream bugfix release

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 04 Feb 2014 09:47:22 -0500

neo (0.3.2-1) unstable; urgency=low

  * New upstream release -- clean ups and minor extensions

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 13 Jan 2014 21:09:50 -0500

neo (0.3.1-1) unstable; urgency=low

  * Fresh upstream release

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 09 Oct 2013 09:56:38 -0400

=== debian/control ===
Source: neo
Maintainer: NeuroDebian Team <team@neuro.debian.net>
Uploaders: Michael Hanke <mih@debian.org>,
           Yaroslav Halchenko <debian@onerussian.com>
Section: science
Priority: extra
Build-Depends: python-all,
               debhelper (>= 7.0.50~),
               python-setuptools,
               python-sphinx,
               python-numpy,
               python-quantities,
               python-nose,
               python-unittest2
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-exppsy/neo.git
Vcs-Git: git://anonscm.debian.org/pkg-exppsy/neo.git
Homepage: http://neuralensemble.org/trac/neo
X-Python-Version: >=2.6

Package: python-neo
Architecture: all
Section: python
Depends: ${misc:Depends},
         ${python:Depends},
         python-numpy,
         python-quantities
Recommends: python-scipy (>= 0.8~),
            python-tables (>= 2.2~),
            libjs-jquery,
            libjs-underscore
Suggests: python-nose
Description: Python IO library for electrophysiological data formats
 NEO stands for Neural Ensemble Objects and is a project to provide common
 classes and concepts for dealing with electro-physiological (in vivo
 and/or simulated) data to facilitate collaborative software/algorithm
 development. In particular Neo provides: a set a classes for data
 representation with precise definitions, an IO module with a simple API,
 documentation, and a set of examples.
 .
 NEO offers support for reading data from numerous proprietary file formats
 (e.g. Spike2, Plexon, AlphaOmega, BlackRock, Axon), read/write support for
 various open formats (e.g. KlustaKwik, Elan, WinEdr, WinWcp, PyNN), as well
 as support common file formats, such as HDF5 with Neo-structured content
 (NeoHDF5, NeoMatlab).
 .
 Neo's IO facilities can be seen as a pure-Python and open-source Neuroshare
 replacement.

=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,16 @@
 	-rm doc/build/html/_static/jquery.js doc/build/html/_static/underscore.js
 endif
 
+override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	set -e; for PY in python2.6 $(shell pyversions -r); do \
+        [ $${PY#*.} -ge 7 ] || { echo "Skipping $$PY - absent support in neo's tests"; continue; }; \
+        echo "I: Running Neo unittests using $$PY"; \
+        NOSETESTS_NO_NETWORK=1 $$PY /usr/bin/nosetests -s -v neo ;\
+    done
+endif
+
+
 override_dh_clean:
 	dh_clean
 	rm -rf neo.egg-info

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3
http://pypi.debian.net/neo/neo-(.*).tar.gz

## neo 0.7.2

=== debian/changelog ===
neo (0.7.2-2) unstable; urgency=medium

  * Practicing source only upload (Closes: #940314)

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 17 Sep 2019 12:03:42 -0400

neo (0.7.2-1) unstable; urgency=medium

  * New upstream release
    - reincarnating maintenance thus closing RM report (Closes: #939083)
  * debian/patches
    - dropped the one picked up from upstream awhile back
    - CPed patch from https://github.com/NeuralEnsemble/python-neo/pull/733
      to raise numpy.testing.SkipTest and not unittest.SkipTest since somehow
      throwing that one causes an ERROR not a SKIP
  * debian/
    - boost policy to 4.3.0
    - boost compat to 10 (not later for seamless backporting)
    - switch to provide python3- (no python-) package (Closes: #937127)
    - switch to use pybuild dh buildsystem
      - dh-python into build-depends
    - adjust invocation of tests to use nose via -m nose
    - priority optional (not extra)

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 01 Sep 2019 13:48:55 +0200

=== debian/control ===
--- 
+++ 
@@ -3,33 +3,33 @@
 Uploaders: Michael Hanke <mih@debian.org>,
            Yaroslav Halchenko <debian@onerussian.com>
 Section: science
-Priority: extra
-Build-Depends: python-all,
-               debhelper (>= 7.0.50~),
-               python-setuptools,
-               python-sphinx,
-               python-numpy,
-               python-quantities,
-               python-nose,
-               python-unittest2
-Standards-Version: 3.9.6
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-exppsy/neo.git
-Vcs-Git: git://anonscm.debian.org/pkg-exppsy/neo.git
+Priority: optional
+Build-Depends: python3-all,
+               debhelper (>= 10),
+               dh-python,
+               python3-setuptools,
+               python3-sphinx,
+               python3-numpy,
+               python3-quantities,
+               python3-nose,
+               python3-unittest2
+Standards-Version: 4.3.0
+Vcs-Browser: https://salsa.debian.org/neurodebian-team/neo
+Vcs-Git: https://salsa.debian.org/neurodebian-team/neo
 Homepage: http://neuralensemble.org/trac/neo
-X-Python-Version: >=2.6
 
-Package: python-neo
+Package: python3-neo
 Architecture: all
 Section: python
 Depends: ${misc:Depends},
-         ${python:Depends},
-         python-numpy,
-         python-quantities
-Recommends: python-scipy (>= 0.8~),
-            python-tables (>= 2.2~),
+         ${python3:Depends},
+         python3-numpy,
+         python3-quantities
+Recommends: python3-scipy (>= 0.8~),
+            python3-tables (>= 2.2~),
             libjs-jquery,
             libjs-underscore
-Suggests: python-nose
+Suggests: python3-nose
 Description: Python IO library for electrophysiological data formats
  NEO stands for Neural Ensemble Objects and is a project to provide common
  classes and concepts for dealing with electro-physiological (in vivo

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	PYTHONPATH=.. $(MAKE) -C doc html
	-rm doc/build/html/_static/jquery.js doc/build/html/_static/underscore.js
endif

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	set -e; for PY in $(shell py3versions -r); do \
        [ $${PY#*.} -ge 7 ] || { echo "Skipping $$PY - absent support in neo's tests"; continue; }; \
        echo "I: Running Neo unittests using $$PY"; \
        NOSETESTS_NO_NETWORK=1 $$PY -m nose -s -v neo ;\
    done
endif


override_dh_clean:
	dh_clean
	rm -rf neo.egg-info
	rm -rf doc/build

## neo 0.9.0

=== debian/changelog ===
neo (0.9.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
    Closes: #973236
  * Take over into Debian Med team maintenance
  * Remove debian/gbp.conf
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 10 (routine-update)
  * Secure URI in copyright format (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Use versioned copyright format URI.
  * Use canonical URL in Vcs-Git.
  * watch file standard 4 (routine-update)
  * (Build-)Depends: python3-pil
  * Do not include privacy breaching image

 -- Andreas Tille <tille@debian.org>  Wed, 25 Nov 2020 11:25:55 +0100

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,24 @@
 Source: neo
-Maintainer: NeuroDebian Team <team@neuro.debian.net>
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Michael Hanke <mih@debian.org>,
            Yaroslav Halchenko <debian@onerussian.com>
 Section: science
 Priority: optional
 Build-Depends: python3-all,
-               debhelper (>= 10),
+               debhelper-compat (= 13),
                dh-python,
                python3-setuptools,
                python3-sphinx,
                python3-numpy,
+               python3-pil,
                python3-quantities,
                python3-nose,
                python3-unittest2
-Standards-Version: 4.3.0
-Vcs-Browser: https://salsa.debian.org/neurodebian-team/neo
-Vcs-Git: https://salsa.debian.org/neurodebian-team/neo
+Standards-Version: 4.5.1
+Vcs-Browser: https://salsa.debian.org/med-team/neo
+Vcs-Git: https://salsa.debian.org/med-team/neo.git
 Homepage: http://neuralensemble.org/trac/neo
+Rules-Requires-Root: no
 
 Package: python3-neo
 Architecture: all
@@ -24,9 +26,10 @@
 Depends: ${misc:Depends},
          ${python3:Depends},
          python3-numpy,
+         python3-pil,
          python3-quantities
-Recommends: python3-scipy (>= 0.8~),
-            python3-tables (>= 2.2~),
+Recommends: python3-scipy,
+            python3-tables,
             libjs-jquery,
             libjs-underscore
 Suggests: python3-nose

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=4
http://pypi.debian.net/neo/neo-(.*).tar.gz

## neo 0.10.0

=== debian/changelog ===
neo (0.10.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * Skip tests accessing network

 -- Andreas Tille <tille@debian.org>  Thu, 17 Feb 2022 16:20:51 +0100

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                python3-quantities,
                python3-nose,
                python3-unittest2
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/neo
 Vcs-Git: https://salsa.debian.org/med-team/neo.git
 Homepage: http://neuralensemble.org/trac/neo

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,8 @@
 #!/usr/bin/make -f
+
+export HOME=/tmp
+export http_proxy=http://127.0.0.1:9/
+export https_proxy=http://127.0.0.1:9/
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild

## neo 0.10.2

=== requirements.txt ===
numpy>=1.16.1
quantities>=0.12.1

=== debian/changelog ===
neo (0.10.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * d/copyright: update the file to reflect current licensing terms.
    The package notably moved from BSD-2-clause to BSD-3-clause licensing
    terms.  Also updated the list of debian contributors from git log.

 -- Étienne Mollier <emollier@debian.org>  Thu, 05 May 2022 16:25:32 +0200

## neo 0.11.1

=== debian/changelog ===
neo (0.11.1-1) unstable; urgency=medium

  * New upstream version

 -- Étienne Mollier <emollier@debian.org>  Sun, 06 Nov 2022 20:34:33 +0100

neo (0.11.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * d/control: add myself to uploaders.
  * d/{rules,control}: replace nose by pytest. (Closes: #1018419)
  * d/watch: use secure URI.

 -- Étienne Mollier <emollier@debian.org>  Sat, 10 Sep 2022 12:40:06 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: neo
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Michael Hanke <mih@debian.org>,
-           Yaroslav Halchenko <debian@onerussian.com>
+           Yaroslav Halchenko <debian@onerussian.com>,
+           Étienne Mollier <emollier@debian.org>
 Section: science
 Priority: optional
 Build-Depends: python3-all,
@@ -12,9 +13,9 @@
                python3-numpy,
                python3-pil,
                python3-quantities,
-               python3-nose,
+               python3-pytest,
                python3-unittest2
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/med-team/neo
 Vcs-Git: https://salsa.debian.org/med-team/neo.git
 Homepage: http://neuralensemble.org/trac/neo
@@ -32,7 +33,7 @@
             python3-tables,
             libjs-jquery,
             libjs-underscore
-Suggests: python3-nose
+Suggests: python3-pytest
 Description: Python IO library for electrophysiological data formats
  NEO stands for Neural Ensemble Objects and is a project to provide common
  classes and concepts for dealing with electro-physiological (in vivo

=== debian/rules ===
--- 
+++ 
@@ -19,7 +19,7 @@
 	set -e; for PY in $(shell py3versions -r); do \
         [ $${PY#*.} -ge 7 ] || { echo "Skipping $$PY - absent support in neo's tests"; continue; }; \
         echo "I: Running Neo unittests using $$PY"; \
-        NOSETESTS_NO_NETWORK=1 $$PY -m nose -s -v neo ;\
+        NOSETESTS_NO_NETWORK=1 $$PY -m pytest -v neo ;\
     done
 endif

## neo 0.12.0

=== debian/changelog ===
neo (0.12.0-3) unstable; urgency=medium

  * Team upload.
  * Drop python3-unittest2 from Build-Depends
    Closes: #1058964
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 19 Dec 2023 08:04:04 +0100

neo (0.12.0-2) unstable; urgency=medium

  * d/clean: add trailing "/" to directories. (Closes: #1054818)

 -- Étienne Mollier <emollier@debian.org>  Sat, 28 Oct 2023 20:14:20 +0200

neo (0.12.0-1) unstable; urgency=medium

  * New upstream version 0.12.0
  * d/rules: rewrap the test target.
  * d/rules: rewrap the documentation build step.
  * d/control: declare compliance to standards version 4.6.2.
  * d/rules: remove more embedded javascript libraries.
  * d/{rules,clean}: move removals to d/clean.
  * d/tests/: add non-trivial autopkgtests. (Closes: #1035263)
  * changeset_bf-skiptest.diff patch: refresh.
  * avoid_privacy_breach_image.patch: refresh.
  * skip_online_tests.patch: skip test_download_dataset.
  * d/control: build depends on pybuild-plugin-pyproject.

 -- Étienne Mollier <emollier@debian.org>  Sat, 09 Sep 2023 11:21:28 +0200

=== debian/control ===
--- 
+++ 
@@ -7,15 +7,15 @@
 Priority: optional
 Build-Depends: python3-all,
                debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
+               pybuild-plugin-pyproject,
                python3-setuptools,
                python3-sphinx,
                python3-numpy,
                python3-pil,
                python3-quantities,
-               python3-pytest,
-               python3-unittest2
-Standards-Version: 4.6.1
+               python3-pytest
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/neo
 Vcs-Git: https://salsa.debian.org/med-team/neo.git
 Homepage: http://neuralensemble.org/trac/neo

=== debian/rules ===
#!/usr/bin/make -f

export HOME=/tmp
export http_proxy=http://127.0.0.1:9/
export https_proxy=http://127.0.0.1:9/

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	PYTHONPATH=.. $(MAKE) -C doc html
	# Remove embedded javascript libraries.
	-rm doc/build/html/_static/jquery.js
	-rm doc/build/html/_static/underscore.js
	-rm doc/build/html/_static/doctools.js
	-rm doc/build/html/_static/language_data.js
	-rm doc/build/html/_static/searchtools.js
endif

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	set -e \
	; for PY in $(shell py3versions -r) \
	; do echo "I: Running Neo unittests using $$PY" \
	;    NOSETESTS_NO_NETWORK=1 $$PY -m pytest -v neo \
	; done
endif

=== debian/watch ===
version=4
https://pypi.debian.net/neo/neo-(.*).tar.gz

## neo 0.13.1

=== debian/changelog ===
neo (0.13.1-1) unstable; urgency=medium

  * New upstream version 0.13.1
  * d/copyright: neo/rawio/axonrawio.py now includes Expat snippets.
  * skip_online_tests.patch: refresh.
  * avoid_privacy_breach_image.patch: unfuzz.
  * d/control: declare compliance to standards version 4.7.0.

 -- Étienne Mollier <emollier@debian.org>  Wed, 29 May 2024 14:55:27 +0200

neo (0.13.0-1) unstable; urgency=medium

  * New upstream version 0.13.0
    Closes: #1067295
  * d/copyright: bump copyright years.
  * changeset_bf-skiptest.patch: refresh.
  * avoid_privacy_breach_image.patch: refresh.
  * skip_online_tests.patch: refresh.
  * d/control: update build dependencies.
    The revamped documentation now makes use of many Sphinx capabilities.
  * d/rules: disable documentation building for now.
    The documentation partly requires online resources, not allowed by
    policy on build machines.  Further, there is something off with the
    documentation construction messing with the python3 code, causing
    syntax errors.
  * d/control: checks depend on python3-nixio.
  * d/python3-neo.docs: do not install html documentation.
    It is unavailable until fixme item in d/rules is resolved.
  * d/control: python3-neo depends on python3-neo.
  * avoid_privacy_breach_image.patch: review.
    Adapted the comment since the link is not broken anymore, and
    forwarding is declared not-needed.
  * skip_online_tests.patch: forwarding not-needed.

 -- Étienne Mollier <emollier@debian.org>  Wed, 08 May 2024 16:00:21 +0200

## neo 0.13.2

=== debian/changelog ===
neo (0.13.2-1) unstable; urgency=medium

  * New upstream version 0.13.2
  * avoid_privacy_breach_image.patch: unfuzz.

 -- Étienne Mollier <emollier@debian.org>  Sun, 11 Aug 2024 16:17:17 +0200

=== debian/control ===
--- 
+++ 
@@ -8,14 +8,21 @@
 Build-Depends: python3-all,
                debhelper-compat (= 13),
                dh-sequence-python3,
+               ipython3,
                pybuild-plugin-pyproject,
                python3-setuptools,
                python3-sphinx,
+               python3-sphinx-design,
+               python3-sphinx-inline-tabs,
+               python3-matplotlib,
+               python3-nixio <!nocheck>,
                python3-numpy,
+               python3-pickleshare,
                python3-pil,
+               python3-pydata-sphinx-theme,
                python3-quantities,
                python3-pytest
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/med-team/neo
 Vcs-Git: https://salsa.debian.org/med-team/neo.git
 Homepage: http://neuralensemble.org/trac/neo
@@ -26,6 +33,7 @@
 Section: python
 Depends: ${misc:Depends},
          ${python3:Depends},
+         python3-nixio,
          python3-numpy,
          python3-pil,
          python3-quantities

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,12 @@
 override_dh_auto_build:
 	dh_auto_build
 ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
-	PYTHONPATH=.. $(MAKE) -C doc html
+	# FIXME: a number of documentation items require online ressources, and
+	# their build fails on some indentation issue in the mixing of
+	# documentation with python3 source code.  Until these issues are
+	# fixed, the production of sphinx code is disabled.
+	#PYTHONPATH=.. $(MAKE) -C doc html
+
 	# Remove embedded javascript libraries.
 	-rm doc/build/html/_static/jquery.js
 	-rm doc/build/html/_static/underscore.js

## neo 0.13.4

=== debian/changelog ===
neo (0.13.4-1) unstable; urgency=medium

  * New upstream version 0.13.4  (Closes: #1079956)
  * avoid_privacy_breach_image.patch: unfuzz.
  * skip_online_tests.patch: unfuzz.
  * d/control: neo (build-)depends on python-quantities 0.16.1.

 -- Étienne Mollier <emollier@debian.org>  Sun, 27 Oct 2024 10:59:57 +0100

## neo 0.14.0

=== debian/changelog ===
neo (0.14.0-1) unstable; urgency=medium

  * New upstream version 0.14.0  (Closes: #1095027)
  * d/copyright: update copyright years.
  * avoid_privacy_breach_image.patch: unfuzz.
  * d/patches/*: normalize Last-Update timestamp.

 -- Étienne Mollier <emollier@debian.org>  Wed, 05 Feb 2025 11:32:15 +0100

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
                python3-pickleshare,
                python3-pil,
                python3-pydata-sphinx-theme,
-               python3-quantities,
+               python3-quantities (>= 0.16.1~),
                python3-pytest
 Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/med-team/neo
@@ -36,7 +36,7 @@
          python3-nixio,
          python3-numpy,
          python3-pil,
-         python3-quantities
+         python3-quantities (>= 0.16.1~)
 Recommends: python3-scipy,
             python3-tables,
             libjs-jquery,

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         python3-all,
         python3-pytest
Restrictions: allow-stderr

## neo 0.14.3

=== doc/Makefile ===
--- 
+++ 
@@ -29,6 +29,7 @@
 
 clean:
 	-rm -rf $(BUILDDIR)/*
+	-rm -rf source/examples
 
 html:
 	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html

=== debian/changelog ===
neo (0.14.3-1) unstable; urgency=medium

  * Team Upload
  * New upstream version 0.14.3
  * Refresh patch
  * d/control: declare compliance to standards version 4.7.2.
  * Drop "Rules-Requires-Root: no": it is now the default

 -- Alexandre Detiste <tchet@debian.org>  Wed, 12 Nov 2025 21:59:48 +0100

=== debian/control ===
--- 
+++ 
@@ -22,11 +22,10 @@
                python3-pydata-sphinx-theme,
                python3-quantities (>= 0.16.1~),
                python3-pytest
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/med-team/neo
 Vcs-Git: https://salsa.debian.org/med-team/neo.git
 Homepage: http://neuralensemble.org/trac/neo
-Rules-Requires-Root: no
 
 Package: python3-neo
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -7,8 +7,7 @@
 %:
 	dh $@ --buildsystem=pybuild
 
-override_dh_auto_build:
-	dh_auto_build
+execute_after_dh_auto_build:
 ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
 	# FIXME: a number of documentation items require online ressources, and
 	# their build fails on some indentation issue in the mixing of

## neo reasoner-0.7.0

=== Makefile ===
.PHONY: help install install-dev test format lint clean

help:
	@echo "Neo Makefile Commands:"
	@echo ""
	@echo "  make install       - Install Neo in editable mode"
	@echo "  make install-dev   - Install with development tools"
	@echo "  make test          - Run all tests"
	@echo "  make format        - Format code with black"
	@echo "  make lint          - Lint code with ruff"
	@echo "  make clean         - Clean up generated files"

install:
	pip install -e .

install-dev:
	pip install -e ".[dev]"

test:
	pytest

format:
	black src/ tests/

lint:
	ruff check src/ tests/

clean:
	rm -rf __pycache__
	rm -rf .pytest_cache
	rm -rf .ruff_cache
	rm -rf build dist *.egg-info
	rm -rf src/*.egg-info
	find . -type d -name __pycache__ -exec rm -rf {} + 2>/dev/null || true
	find . -type f -name "*.pyc" -delete
